Description

Hi,

a lot of our users were confused when the “Save repository” button is enabled on creating a new repository getting error message or

a non function repository entry.

So I made a small patch which disables the “Save repository” button

1. when it is a new repository entry

2. allow_add_local is False

It made the form much cleaner to them and lowered the questions for help a lot 

History

#1 - 03 May 2014 22:30 - Andriy Lesyuk

- Status changed from New to Under Verification

- Assignee set to Andriy Lesyuk

- Target version set to 0.5.0b

#2 - 11 May 2014 13:04 - Andriy Lesyuk

The “Create” button (you mean by “Save repository”, I guess) is for adding existing repositories, e.g., Subversion remote repos. The allow_add_local

option lets disable creation of local repositories only! So, still it should be possible to add existing remote repos. For this reason normally it’s not good

to disable the “Create” button...

In your case, I assume, you have a specific environment. I guess, the only_creator option could do, what you want (see Configuration)... Did you try

it? Does not it meet for your needs (why?)?

#3 - 11 May 2014 13:04 - Andriy Lesyuk

- Status changed from Under Verification to Deferred

- Target version deleted (0.5.0b)
